Bug 840563 - Reviewing the modify tab for a user's environment will result in the spinner spinning indefinitely (TypeError: cannot call method 'replace' of null)
Reviewing the modify tab for a user's environment will result in the spinner ...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 11:26 EDT by Eric Sammons
Modified: 2014-09-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-18 16:27:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-07-16 11:26:02 EDT
Description of problem:


Version-Release number of selected component (if applicable):
katello-headpin-0.2.24-1

Steps to Reproduce:
1. login to headpin
2. click on li.hello
3. from here, navigate to the user's Environment tab
  
Actual results:
Spinner is spinning in the heading bar (next to katello), will not stop.

---- Client Side browser console:
Uncaught TypeError: Cannot call method 'replace' of null
   escapeId
   $.live.$.ajax.success
   b.extend._Deferred.e.resolveWith
   bD
   b.ajaxTransport.send.bt

Expected results:
No client side errors and spinner should not spin unless a task is being executed.
Comment 1 Eric Sammons 2012-07-16 11:35:12 EDT
Additional testing shows this problem exists on the roles tab as well - same error.
Comment 3 Tom McKay 2012-12-18 16:27:45 EST
Fixed for some time now

Note You need to log in before you can comment on or make changes to this bug.